Bug 470252 (CVE-2008-4310) - CVE-2008-4310 ruby: Incomplete fix for CVE-2008-3656
Summary: CVE-2008-4310 ruby: Incomplete fix for CVE-2008-3656
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-4310
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20081204,reported=20081105,sou...
Depends On: 461591 470262 472067
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-06 13:56 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-17 09:01:09 UTC


Attachments (Terms of Use)
Proper patch to address CVE-2008-4310 issue. (1.11 KB, patch)
2008-11-06 14:06 UTC, Jan Lieskovsky
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0981 normal SHIPPED_LIVE Moderate: ruby security update 2008-12-04 15:57:57 UTC

Description Jan Lieskovsky 2008-11-06 13:56:52 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3656 to
the following vulnerability:

Algorithmic complexity vulnerability in WEBrick::HTTP::DefaultFileHandler in
WEBrick in Ruby 1.8.5 and earlier, 1.8.5 through 1.8.6-p286, 1.8.7 through
1.8.7-p71, and 1.9 through r18423 allows context-dependent attackers to cause a
denial of service (CPU consumption) via a crafted HTTP request that is
processed by a backtracking regular expression.

Refences:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494401
http://www.ruby-lang.org/en/news/2008/08/08/multiple-vulnerabilities-in-ruby/

Vincent Danen from LinSec discovered the original patch for this flaw, provided by Red Hat, did not properly address this flaw.

Comment 3 Jan Lieskovsky 2008-11-06 14:06:39 UTC
Created attachment 322718 [details]
Proper patch to address CVE-2008-4310 issue.

Comment 6 Mark J. Cox 2008-12-04 15:28:34 UTC
removing embargo ready for us to push an update to correct this issue.

Comment 7 Tomas Hoger 2008-12-17 07:57:17 UTC
Further details about this issue can be found here:
  http://www.openwall.com/lists/oss-security/2008/12/04/2

Comment 8 Red Hat Product Security 2008-12-17 09:01:09 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0981.html


Note You need to log in before you can comment on or make changes to this bug.